Summary:	The ping program for checking to see if network hosts are alive.
Name:		iputils
Version:	20020927
Release:	1
License:	BSD
Group:		System Environment/Daemons
Source0:	http://www.tux.org/pub/net/ip-routing/%{name}-ss020927.tar.gz
Patch00:	iputils-20020927-rh.patch
Patch01:	iputils-20020124-ping_sparcfix.patch
Patch02:	iputils-20020124-rdisc-server.patch
Patch03:	iputils-20020124-countermeasures.patch
Patch04:	iputils-20020927-addrcache.patch
Patch05:	iputils-20020927-ping-subint.patch
Patch06:	iputils-20020927-icmp_seq.patch
Patch07:	iputils-glibckernheaders.patch
Patch08:	iputils-20020927-headers.patch
Patch09:	iputils-20020927-unaligned.patch
Patch10:	iputils-20020927-inet_pton.patch
Patch11:	iputils-retvals.patch
Patch12:	iputils-arping.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
The iputils package contains ping, a basic networking tool.  The ping
command sends a series of ICMP protocol ECHO_REQUEST packets to a
specified network host and can tell you if that machine is alive and
receiving network traffic.

%files
  %defattr(0444,root,root,0555)
  %doc RELNOTES
  %doc %{_mandir}/man8/*
  %attr(0510,root,admin) 	%{_root_bindir}/ping
  %attr(0510,root,admin) 	%{_root_bindir}/ping6
  %attr(0510,root,admin) 	%{_root_bindir}/tracepath
  %attr(0510,root,admin) 	%{_root_bindir}/tracepath6
  %attr(0510,root,admin) 	%{_root_bindir}/traceroute6
  %attr(0510,root,admin) 	%{_root_sbindir}/arping
  %attr(0510,root,admin)	%{_sbindir}/arping
  %attr(0510,root,admin)	%{_sbindir}/clockdiff
  %attr(0510,root,admin)	%{_sbindir}/ping6
  %attr(0510,root,admin)	%{_sbindir}/tracepath
  %attr(0510,root,admin)	%{_sbindir}/tracepath6
  %attr(0510,root,admin)	%{_sbindir}/traceroute6

%prep
%setup -q -n %{name} -a 0
%patch00 -p1
%patch01 -p1
%patch02 -p1
%patch03 -p1
%patch04 -p1
%patch05 -p1
%patch06 -p1
%patch07 -p1
%patch08 -p1
%patch09 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p0

%build
  export CFLAGS="$RPM_OPT_FLAGS -fpie"
  export LDFLAGS="-pie"

  make %{_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  install -d $RPM_BUILD_ROOT/%{_bindir}
  install -d $RPM_BUILD_ROOT/%{_mandir}/man8
  install -d $RPM_BUILD_ROOT/%{_sbindir}
  install -d $RPM_BUILD_ROOT/%{_root_bindir}
  install -d $RPM_BUILD_ROOT/%{_root_sbindir}

  install -c clockdiff            $RPM_BUILD_ROOT/%{_sbindir}/
  install -c arping               $RPM_BUILD_ROOT/%{_root_sbindir}
  ln -s %{_root_sbindir}/arping   $RPM_BUILD_ROOT/%{_sbindir}/arping
  install -c ping                 $RPM_BUILD_ROOT/%{_root_bindir}
  install -c ping6                $RPM_BUILD_ROOT/%{_root_bindir}
  install -c tracepath            $RPM_BUILD_ROOT/%{_root_bindir}
  install -c tracepath6           $RPM_BUILD_ROOT/%{_root_bindir}
  install -c traceroute6          $RPM_BUILD_ROOT/%{_root_bindir}
  install -c doc/clockdiff.8      $RPM_BUILD_ROOT/%{_mandir}/man8/
  install -c doc/arping.8         $RPM_BUILD_ROOT/%{_mandir}/man8/
  install -c doc/ping.8           $RPM_BUILD_ROOT/%{_mandir}/man8/
  install -c doc/rdisc.8          $RPM_BUILD_ROOT/%{_mandir}/man8/
  install -c doc/tracepath.8      $RPM_BUILD_ROOT/%{_mandir}/man8/

  ln -sf %{_root_bindir}/ping6       $RPM_BUILD_ROOT/%{_sbindir}
  ln -sf %{_root_bindir}/tracepath   $RPM_BUILD_ROOT/%{_sbindir}
  ln -sf %{_root_bindir}/tracepath6  $RPM_BUILD_ROOT/%{_sbindir}
  ln -sf %{_root_bindir}/traceroute6 $RPM_BUILD_ROOT/%{_sbindir}

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 20020927, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
